Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDan Loewenherz <daniel.loewenherz@yale.edu>2009-04-23 05:46:02 +0400
committerJunio C Hamano <gitster@pobox.com>2009-04-23 06:05:37 +0400
commit7bd93c1c625ce5fa03f0d13d728f34f8ab868991 (patch)
tree5e931912f8778ca8d6115347034041eaa9dc0964
parentb18cc5a3b2f64364d2c7d3560066852728a6c666 (diff)
Convert to use quiet option when available
A minor fix that eliminates usage of "2>/dev/null" when --quiet or -q has already been implemented. Signed-off-by: Dan Loewenherz <daniel.loewenherz@yale.edu> Signed-off-by: Junio C Hamano <gitster@pobox.com>
-rwxr-xr-xgit-filter-branch.sh2
-rwxr-xr-xgit-merge-resolve.sh4
-rwxr-xr-xgit-parse-remote.sh2
-rwxr-xr-xgit-pull.sh2
4 files changed, 5 insertions, 5 deletions
diff --git a/git-filter-branch.sh b/git-filter-branch.sh
index b90d3df3a7..37e044db40 100755
--- a/git-filter-branch.sh
+++ b/git-filter-branch.sh
@@ -430,7 +430,7 @@ if [ "$filter_tag_name" ]; then
if [ "$type" = "tag" ]; then
# Dereference to a commit
sha1t="$sha1"
- sha1="$(git rev-parse "$sha1"^{commit} 2>/dev/null)" || continue
+ sha1="$(git rev-parse -q "$sha1"^{commit})" || continue
fi
[ -f "../map/$sha1" ] || continue
diff --git a/git-merge-resolve.sh b/git-merge-resolve.sh
index 93bcfc2f5d..c9da747fcf 100755
--- a/git-merge-resolve.sh
+++ b/git-merge-resolve.sh
@@ -37,10 +37,10 @@ then
exit 2
fi
-git update-index --refresh 2>/dev/null
+git update-index -q --refresh
git read-tree -u -m --aggressive $bases $head $remotes || exit 2
echo "Trying simple merge."
-if result_tree=$(git write-tree 2>/dev/null)
+if result_tree=$(git write-tree 2>/dev/null)
then
exit 0
else
diff --git a/git-parse-remote.sh b/git-parse-remote.sh
index 695a4094bb..a296719861 100755
--- a/git-parse-remote.sh
+++ b/git-parse-remote.sh
@@ -2,7 +2,7 @@
# git-ls-remote could be called from outside a git managed repository;
# this would fail in that case and would issue an error message.
-GIT_DIR=$(git rev-parse --git-dir 2>/dev/null) || :;
+GIT_DIR=$(git rev-parse -q --git-dir) || :;
get_data_source () {
case "$1" in
diff --git a/git-pull.sh b/git-pull.sh
index 8c750270e9..35261539ab 100755
--- a/git-pull.sh
+++ b/git-pull.sh
@@ -147,7 +147,7 @@ then
echo >&2 "Warning: fetch updated the current branch head."
echo >&2 "Warning: fast forwarding your working tree from"
echo >&2 "Warning: commit $orig_head."
- git update-index --refresh 2>/dev/null
+ git update-index -q --refresh
git read-tree -u -m "$orig_head" "$curr_head" ||
die 'Cannot fast-forward your working tree.
After making sure that you saved anything precious from